# Class Version

java.lang.Object
uk.ac.starlink.topcat.Version

All Implemented Interfaces:
  `Comparable<Version>`

public class Version extends Object implements Comparable<Version>
Comparable class which can compare version strings. Versions are of the form A.B[-C[x]], where the square bracketed parts are optional. A, B and C must be integers if present. x may be freeform.

For comparison, only A, B and C parts are considered. If C is missing, it is considered equal to zero. For equality, the original version string is used.

Note: this class has a natural ordering that is inconsistent with equals.

Since:
  20 Dec 2010
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Version other)`
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(Version other)

Specified by:
  `compareTo` in interface `Comparable<Version>`